# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRootProp Class Reference

Access KDE desktop resources stored on the root window. More...

`#include <krootprop.h>`

Collaboration diagram for KRootProp:

[legend]
List of all members.

## Public Member Functions

| KRootProp (const QString &rProp=QString::null)
| ~KRootProp ()
void | setProp (const QString &rProp=QString())
QString | prop () const
void | destroy ()
QString | readEntry (const QString &rKey, const QString &pDefault=QString::null) const
int | readNumEntry (const QString &rKey, int nDefault=0) const
QFont | readFontEntry (const QString &rKey, const QFont *pDefault=0) const
QColor | readColorEntry (const QString &rKey, const QColor *pDefault=0) const
QString | writeEntry (const QString &rKey, const QString &rValue)
QString | writeEntry (const QString &rKey, int nValue)
QString | writeEntry (const QString &rKey, const QFont &rFont)
QString | writeEntry (const QString &rKey, const QColor &rColor)
QString | removeEntry (const QString &rKey)
QStringList | listEntries () const
void | sync ()

## Detailed Description

Access KDE desktop resources stored on the root window.

A companion to the KConfig class.

The KRootProp class is used for reading and writing configuration entries to properties on the root window.

All configuration entries are of the form "key=value".

See also:
  KConfig::KConfig

Author:
  Mark Donohoe (donohe@kde.org)

Definition at line 46 of file krootprop.h.

## Constructor & Destructor Documentation

KRootProp::KRootProp | ( | const QString & | rProp = `QString::null` | ) |

Constructs a KRootProp object for the property `rProp`.

Parameters:

  | rProp | the property that will be searched, null to do nothing

See also:
  setProp()

Definition at line 35 of file krootprop.cpp.

References setProp().

KRootProp::~KRootProp | ( |  | ) |

| Destructs the KRootProp object. Writes back any dirty configuration entries. Definition at line 42 of file krootprop.cpp. References QMap::clear(), and sync().

## Member Function Documentation

void KRootProp::setProp | ( | const QString & | rProp = `QString()` | ) |

Sets the property in which keys will be searched.

Parameters:

  | rProp | the property that will be searched

Definition at line 74 of file krootprop.cpp.

References QString::find(), QString::fromUtf8(), QMap::insert(), QString::left(), QString::length(), QString::mid(), QString::remove(), QString::simplifyWhiteSpace(), and sync().

Referenced by KRootProp().

QString KRootProp::prop | ( |  | ) | const

Returns the name of the property under which keys are searched.

Returns:
  the property that will be searched

Definition at line 144 of file krootprop.cpp.

void KRootProp::destroy | ( |  | ) |

| Destroys the property completely. I.e. all entries will be cleared and the property will be removed from the root window. Definition at line 149 of file krootprop.cpp. References QMap::clear().

QString KRootProp::readEntry | ( | const QString & | rKey,
|  | const QString & | pDefault = `QString::null`
| ) | const

Reads the value of an entry specified by `rKey` in the current property.

Parameters:

  | rKey | The key to search for.
  | pDefault | A default value returned if the key was not found.

Returns:
  The value for this key or the default if no value was found.

Definition at line 159 of file krootprop.cpp.

References QMap::contains().

Referenced by readColorEntry(), readFontEntry(), and readNumEntry().

int KRootProp::readNumEntry | ( | const QString & | rKey,
|  | int | nDefault = `0`
| ) | const

Reads a numerical value.

Reads the value of an entry specified by `rKey` in the current property and interprets it numerically.

Parameters:

  | rKey | The key to search for.
  | nDefault | A default value returned if the key was not found.

Returns:
  The value for this key or the default if no value was found.

Definition at line 168 of file krootprop.cpp.

References QString::isNull(), readEntry(), and QString::toInt().

QFont KRootProp::readFontEntry | ( | const QString & | rKey,
|  | const QFont * | pDefault = `0`
| ) | const

Reads a QFont value.

Reads the value of an entry specified by `rKey` in the current property and interpret it as a font object.

Parameters:

  | rKey | The key to search for.
  | pDefault | A default value returned if the key was not found.

Returns:
  The value for this key or a default font if no value was found.

Definition at line 184 of file krootprop.cpp.

References QFont::fromString(), QString::isNull(), and readEntry().

QColor KRootProp::readColorEntry | ( | const QString & | rKey,
|  | const QColor * | pDefault = `0`
| ) | const

Reads a QColor.

Reads the value of an entry specified by `rKey` in the current property and interprets it as a color.

Parameters:

  | rKey | The key to search for.
  | pDefault | A default value returned if the key was not found.

Returns:
  The value for this key or a default color if no value was found.

Definition at line 204 of file krootprop.cpp.

References QString::find(), QString::isNull(), QString::left(), QString::mid(), readEntry(), QColor::setNamedColor(), QColor::setRgb(), and QString::toInt().

QString KRootProp::writeEntry | ( | const QString & | rKey,
|  | const QString & | rValue
| ) |

Writes a (key/value) pair.

This is stored to the current property when destroying the config object or when calling sync().

Parameters:

  | rKey | The key to write.
  | rValue | The value to write.

Returns:
  The old value for this key. If this key did not exist, a null string is returned.

Definition at line 245 of file krootprop.cpp.

References QMap::contains(), QMap::insert(), and QMap::replace().

Referenced by writeEntry().

QString KRootProp::writeEntry | ( | const QString & | rKey,
|  | int | nValue
| ) |

Writes the (key/value) pair.

Same as above, but writes a numerical value.

Parameters:

  | rKey | The key to write.
  | nValue | The value to write.

Returns:
  The old value for this key. If this key did not exist, a null string is returned.

Definition at line 259 of file krootprop.cpp.

References QString::setNum(), and writeEntry().

QString KRootProp::writeEntry | ( | const QString & | rKey,
|  | const QFont & | rFont
| ) |

Writes the (key/value) pair.

Same as above, but writes a font.

Parameters:

  | rKey | The key to write.
  | rFont | The font to write.

Returns:
  The old value for this key. If this key did not exist, a null string is returned.

Definition at line 268 of file krootprop.cpp.

References writeEntry().

QString KRootProp::writeEntry | ( | const QString & | rKey,
|  | const QColor & | rColor
| ) |

Writes the (key/value) pair.

Same as above, but writes a color.

Parameters:

  | rKey | The key to write.
  | rColor | The color to write.

Returns:
  The old value for this key. If this key did not exist, a null string is returned.

Definition at line 273 of file krootprop.cpp.

References QString::arg(), and writeEntry().

QString KRootProp::removeEntry | ( | const QString & | rKey | ) |

Removes an entry.

Parameters:

  | rKey | The key to remove.

Returns:
  The old value for this key. If this key did not exist, a null string is returned.

Definition at line 280 of file krootprop.cpp.

References QMap::contains(), and QMap::remove().

QStringList KRootProp::listEntries | ( |  | ) | const

Returns a list of all keys.

Returns:
  A QStringList containing all the keys.

Definition at line 291 of file krootprop.cpp.

References QMap::begin(), and QMap::end().

void KRootProp::sync | ( |  | ) |

| Flushes the entry cache. Writes back dirty configuration entries to the current property, This is called automatically from the destructor. Definition at line 48 of file krootprop.cpp. References QString::arg(), QMap::begin(), QMap::end(), QMap::isEmpty(), QString::length(), and QString::utf8(). Referenced by setProp(), and ~KRootProp().

The documentation for this class was generated from the following files:

- krootprop.h
- krootprop.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003